
Infrastructure - Task #3062

Story # 3910 (Closed): Modify Synchronization to apply more validation Logic

Synchronization should not change  the Authoritative member node property of SystemMetadata

2012-07-12 19:11 - Robert Waltz

Status: Closed Start date: 2012-07-12

Priority: High Due date: 2013-09-07

Assignee: Skye Roseboom % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

Does the CN have the right to assign Authoritative member node.  Ben says no.   The other membernode may be authoritative.

Updates to obsoletedBy and archive flags may only be from authoritative membernodes.

authoritativeMN must be set by the MemberNode- LTER may have replica information for other MNs that may be synchronized first.

if the authoritative memberNode is not originMember node, then it is considered a replica. 

Replica's may not be created before the original Object is synchronized from the Authoritative membernode.  CN V1 does not have a

way to update systemMetadata, so if jthe replica is created, then any systemMetadata information contained in the replica will be

definitive for the original object. (e.g. OriginMember node will always be listed as the replica membernode and not the true origin of

the object).

History

#1 - 2012-07-30 19:55 - Robert Waltz

- Status changed from New to In Progress

#2 - 2012-08-09 19:17 - Robert Waltz

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

#3 - 2012-08-15 16:22 - Robert Waltz

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

#4 - 2012-08-21 21:34 - Robert Waltz

CCIT Meeting. Ben mentioned that this may not be a desirable outcome.

#5 - 2012-08-22 21:00 - Robert Waltz

- Priority changed from Normal to High

#6 - 2012-08-29 17:51 - Robert Waltz

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.35-Block.5.2

#7 - 2012-09-05 18:06 - Robert Waltz

- Milestone changed from CCI-1.0.4 to CCI-1.0.5

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.37-Block.5.3

#8 - 2012-09-18 17:50 - Robert Waltz

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4
#9 - 2012-09-26 16:56 - Robert Waltz

- Milestone changed from CCI-1.0.5 to CCI-1.1

#10 - 2012-10-08 16:37 - Robert Waltz

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.44-Block.6.2

- Milestone changed from CCI-1.1 to CCI-1.1.1

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2012-11-10

#11 - 2012-12-04 15:02 - Robert Waltz

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

- Due date changed from 2012-11-10 to 2013-01-05

#12 - 2012-12-12 19:24 - Robert Waltz

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

- Due date changed from 2013-01-05 to 2013-01-19

#13 - 2013-03-01 18:47 - Robert Waltz

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

- Due date changed from 2013-01-19 to 2013-03-16

#14 - 2013-06-05 04:52 - Robert Waltz

- Milestone changed from CCI-1.1.1 to CCI-1.1.2

- Due date changed from 2013-03-16 to 2013-06-22

- Target version changed from 2013.10-Block.2.1 to 2013.24-Block.3.4

#15 - 2013-08-02 18:25 - Robert Waltz

- Due date changed from 2013-06-22 to 2013-08-03

- Target version changed from 2013.24-Block.3.4 to 2013.30-Block.4.3

#16 - 2013-08-12 16:49 - Robert Waltz

- Milestone changed from CCI-1.1.2 to CCI-1.3

- Target version changed from 2013.30-Block.4.3 to 2013.35-Block.5.1

- Due date changed from 2013-08-03 to 2013-09-07

- Parent task set to #3910

#17 - 2013-10-16 18:57 - Robert Waltz

- Subject changed from Synchronization should allow valid replicas held by MNs to set obsoletedBy and archive flags to Synchronization should not

change  the Authoritative member node property of SystemMetadata

- Product Version set to 1.2.0

- Milestone changed from CCI-1.3 to CCI-1.2

- Estimated time set to 0.00

- Description updated

#18 - 2013-10-17 01:50 - Robert Waltz

- Milestone changed from CCI-1.2 to CCI-1.3

- Product Version changed from 1.2.0 to 1.3.0

#19 - 2013-10-28 20:32 - Robert Waltz

2024-04-23 2/4



- Target version changed from 2013.35-Block.5.1 to 2013.44-Block.6.1

#20 - 2013-10-28 20:32 - Robert Waltz

- Milestone changed from CCI-1.3 to CCI-1.2

- Product Version changed from 1.3.0 to 1.2.1

#21 - 2013-10-30 00:56 - Robert Waltz

- Target version changed from 2013.44-Block.6.1 to 2013.46-Block.6.2

#22 - 2013-10-30 17:25 - Matthew Jones

IMO, the CN should not be changing the AuthoritativeMN.  In addition, the OriginMN should never be changed, by anybody.  The OriginMN was

defined as the MN on which the data was originally created, and is meant as a metadata tracker to know which MN originated an object even if that

object no longer exists on that MN or if that MN is no longer Authoritative.  The statements in the description of this ticket that one can infer replica

status based on the origin MN are wrong; an object is a replica if and only if it is a copy on a MN that is not the AuthoritativeMN. 

#23 - 2014-01-06 18:44 - Dave Vieglais

- Target version deleted (2013.46-Block.6.2)

#24 - 2014-07-25 20:24 - Robert Waltz

- Product Version changed from 1.2.1 to 1.4.0

- Milestone changed from CCI-1.2 to CCI-1.4

#25 - 2014-07-31 19:58 - Robert Waltz

- Target version set to 2014.30-Block.4.3

#26 - 2014-07-31 21:22 - Robert Waltz

- Assignee changed from Robert Waltz to Skye Roseboom

#27 - 2014-09-02 18:21 - Skye Roseboom

- Target version changed from 2014.30-Block.4.3 to Release Backlog

#28 - 2014-09-04 02:20 - Robert Waltz

- Product Version changed from 1.4.0 to *

#29 - 2014-09-24 18:09 - Robert Waltz

- Target version changed from Release Backlog to CCI-1.4.1

#30 - 2014-09-24 18:31 - Robert Waltz

- Target version changed from CCI-1.4.1 to CCI-1.4.2

#31 - 2014-10-02 19:29 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.5.0

#32 - 2014-10-07 17:29 - Skye Roseboom

- Milestone changed from CCI-1.4 to None

#33 - 2014-10-30 15:56 - Skye Roseboom

- Status changed from In Progress to Testing
#34 - 2014-12-15 20:05 - Skye Roseboom

- Status changed from Testing to Closed
